Scientific Linux Security Update : wpa_supplicant on SL6.x i386/x86_64

Medium Nessus Plugin ID 85209


The remote Scientific Linux host is missing one or more security updates.


An integer underflow flaw, leading to a buffer over-read, was found in the way wpa_supplicant handled WMM Action frames. A specially crafted frame could possibly allow an attacker within Wi-Fi radio range to cause wpa_supplicant to crash. (CVE-2015-4142)

This update includes the following enhancement :

- Prior to this update, wpa_supplicant did not provide a way to require the host name to be listed in an X.509 certificate's Common Name or Subject Alternative Name, and only allowed host name suffix or subject substring checks. This update introduces a new configuration directive, 'domain_match', which adds a full host name check.

After installing this update, the wpa_supplicant service will be restarted automatically.


Update the affected wpa_supplicant and / or wpa_supplicant-debuginfo packages.

See Also

Plugin Details

Severity: Medium

ID: 85209

File Name: sl_20150722_wpa_supplicant_on_SL6_x.nasl

Version: $Revision: 2.1 $

Type: local

Agent: unix

Published: 2015/08/04

Modified: 2015/08/04

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2015/07/22

Reference Information

CVE: CVE-2015-4142